Last modified: 2012-04-19 21:43:09 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21343 - Search and Replace: regexes not treated as multiline
Search and Replace: regexes not treated as multiline
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
All All
: Normal minor (vote)
: ---
Assigned To: Trevor Parscal
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-10-29 09:55 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Screen print of the error (33.68 KB, application/pdf)
2009-10-29 09:55 UTC, Calcey QA
Details

Description Calcey QA 2009-10-29 09:55:43 UTC
Created attachment 6738 [details]
Screen print of the error

Reporting against Babaco Release : r58199

Steps to Reproduce ::

1) Select a random page
2) Edit a section
3) Enter text as 
Sachin Bhatt  
D'Souza 
Ul-Haq

4) Search for regex   ^([a-zA-Z '-]+)$

<<search is not identify the matching text>>

Expected Outcome::
Search should identify the matching text


Test Environment::

Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0 (.NET CLR 3.5.30729)

Browser (User-Agent):     Opera/9.80 (Windows NT 5.1; U; en) Presto/2.2.15 Version/10.00
Comment 1 Calcey QA 2009-10-29 10:19:03 UTC
When the  info[a-z]*[^][a-z] use, it return the text infobox'actor where the ' is not searched.
Comment 2 Roan Kattouw 2009-10-29 12:41:27 UTC
Fixed in r58310
Comment 3 Calcey QA 2009-11-12 07:51:05 UTC
Reporting against Babaco Release : r58867


Steps to Reproduce ::
Use the same steps as above
Comment 4 Roan Kattouw 2009-11-17 22:34:44 UTC
(In reply to comment #1)
> When the  info[a-z]*[^][a-z] use, it return the text infobox'actor where the '
> is not searched.
> 

Note that this is an invalid regex.

Could you try reproducing this problem again, and supply more details about the text, regex and browser used?
Comment 5 Calcey QA 2009-11-23 13:59:10 UTC
The bug is not reproducible. Therefore can marked as fixed
Comment 6 Calcey QA 2010-01-25 05:42:54 UTC
Closing as per Comment 5

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links